CUDA Runtime API (PDF) - v10.1.168 (older) - Last updated April 24, 2019 - Send Feedback

## 6.9. cudaExternalMemoryMipmappedArrayDesc Struct Reference

## [Data types used by CUDA Runtime]

External memory mipmap descriptor

### Public Variables

struct cudaExtent extent
unsigned int flags
struct cudaChannelFormatDesc formatDesc
unsigned int numLevels
unsigned long long offset

### Variables

struct cudaExtent cudaExternalMemoryMipmappedArrayDesc::extent [inherited]

  Dimensions of base level of the mipmap chain

unsigned int cudaExternalMemoryMipmappedArrayDesc::flags [inherited]

  Flags associated with CUDA mipmapped arrays. See cudaMallocMipmappedArray

struct cudaChannelFormatDesc cudaExternalMemoryMipmappedArrayDesc::formatDesc [inherited]

  Format of base level of the mipmap chain

unsigned int cudaExternalMemoryMipmappedArrayDesc::numLevels [inherited]

  Total number of levels in the mipmap chain

unsigned long long cudaExternalMemoryMipmappedArrayDesc::offset [inherited]

  Offset into the memory object where the base level of the mipmap chain is.